Summary: An image loading and rendering library for X11R6.
Name: imlib
Version: 1.9.5
Release: 5
Group: Libraries
Copyright: LGPL
Url: http://www.labs.redhat.com/imlib/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.labs.redhat.com/pub/imlib/imlib-%{version}.tar.gz
Patch: imlib-1.9.5-16bppgrabfix.patch
BuildRoot: /var/tmp/%{name}-root


%description
Imlib is a display depth independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library for X11R6.
You may also want to install the imlib-cfgeditor package, which will help
you configure Imlib.

%package devel
Summary: Development tools for Imlib applications.
Group: Development/Libraries
Requires: imlib = %{version}

%description devel
The header files, static libraries and documentation needed for
developing Imlib applications.  Imlib is an image loading and rendering
library for X11R6.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the imlib and imlib_cfgeditor packages.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
strip $RPM_BUILD_ROOT/usr/lib/lib*.so*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README
%config /etc/*
/usr/bin/imlib_config
/usr/lib/lib*mlib.so.*
/usr/lib/libimlib-*.so

%files devel
%defattr(-,root,root)
%doc doc/*.gif doc/*.html
/usr/bin/imlib-config
/usr/include/*
/usr/lib/lib*mlib.so
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT

